program main

  use ChemData
  use ChemCalc
  implicit none
  
  integer, parameter :: SpcNum = 3
  integer            :: SpcNum1 
  integer, parameter :: XMin = 0
  integer, parameter :: XMax = 10
  integer, parameter :: ZMin = 0
  integer, parameter :: ZMax = 1
  integer      :: SpcID(SpcNum)
  character(20) :: SpcSymbol(SpcNum)
  real(8)      :: Temp(XMin:XMax, ZMin:ZMax)
  real(8)      :: SvapPress1(XMin:XMax, ZMin:ZMax, SpcNum)
  real(8)      :: SvapPressTest(100, 100, 100)
  real(8)      :: SvapPress2, Temp2
  real(8)      :: LatentHeat, LatentHeat2
  integer      :: i, k, s


  call ChemData_Init

  SpcSymbol = (/ 'H2O-s  ', &
    &            'H2O-l  ', &
    &            'NH3-s  ' /)
  SpcID(:)  = ChemData_SpcID(SpcNum, SpcSymbol)

  write(*,*) SpcSymbol
  write(*,*) SpcID

  call ChemCalc_Init(XMin, XMax, ZMin, ZMax, SpcNum, SpcID)  

  !׻Ѥ˰¾, ˰¾Ȥ¬ͤå. 
  call CheckSvapPress()

  do i = XMin, XMax
    Temp(i,:) = i * 10.0d0 + 250.0d0
  end do
  Temp2 = 273.15d0

  write(*,*) Temp
  write(*,*) xz_LatentHeat( SpcID(1), Temp )

  do s = 1, SpcNum
    LatentHeat  = LatentHeatPerMol(SpcID(s), Temp2)
    LatentHeat2 = LatentHeat(SpcID(s), Temp2)
    SvapPress2  = SvapPress(SpcID(s), Temp2)
    write(*,*) SvapPress2 
    write(*,*) LatentHeat, LatentHeat2
  end do
  
end program main
